# Samba config file created using SSCC ver. 1.1.0
# from DEFAULT@fobopeep
# Date: 15 Dec 2016 15:27:44
[global]
	workgroup = BEACH2
	server string = %h Samba Server for eCS (OS/2)
	null passwords = Yes
	guest account = guest
	username map = H:\MPTN\ETC\samba\private\smbusermap
	log file = H:\MPTN\ETC\samba\log\log.smbd.%U.%M
	time server = Yes
	load printers = No
	printcap name = H:\etc\printcap
	enumports command = H:\samba\enumports.cmd
	add user script = H:\samba\usermod.cmd -a "%u"
	rename user script = H:\samba\usermod.cmd -r "%uold" "%unew"
	delete user script = H:\samba\usermod.cmd -x "%u"
	add group script = H:\samba\groupmod.cmd -a "%g"
	delete group script = H:\samba\groupmod.cmd -x "%g"
	add user to group script = H:\samba\groupmod.cmd -j "%g" "%u"
	delete user from group script = H:\samba\groupmod.cmd -l "%g" "%u"
	set primary group script = H:\samba\usermod.cmd -p "%u" "%g"
	add machine script = H:\samba\usermod.cmd -a "%u"
	lm announce = Yes
	wins support = Yes
	add share command = H:\samba\addshare.cmd
	change share command = H:\samba\changeshare.cmd
	delete share command = H:\samba\delshare.cmd
	lock directory = H:\MPTN\ETC\samba\lock
	idmap config * : backend = tdb
	comment = Samba Server for eCS (OS/2)
	create mask = 0777
	ea support = Yes
	store dos attributes = Yes

[HOMES]
	comment = Home directory
	path = H:/HOME/%u
	read only = No
	browseable = No

[ePDF]
	comment = ePDF
	path = H:\MPTN\ETC\samba\spool\ePDF
	create mask = 0700
	guest ok = Yes
	printable = Yes
	print ok = Yes
	print command = H:\samba\smbprint.exe "%s" "%p" "%J" "%c" "%z"
	printer name = ePDF

[JFS]
	comment = Drive D: (JFS)
	path = D:/
	read list = root, zonker
	write list = root, zonker
	read only = No
	guest ok = Yes
	hide files = /*. SF/root/

[iFog]
	comment = Cara's backup directory
	path = D:/Neil/Cara
	read list = root, zonker, cara
	write list = root, zonker, cara
	read only = No
	hide files = /*. SF/root/

[Suntan]
	comment = Suntan Special
	path = D:/SuntanV6
	read list = root, zonker, ecsuser
	write list = root, zonker, ecsuser
	read only = No
	hide files = /*. SF/root/

[Music]
	comment = Music Library
	path = D:/
	read list = root, zonker, cara
	write list = root, zonker, cara
	read only = No
	hide files = /*. SF/root/

[Photos]
	comment = Photo Library
	path = D:/
	read list = root, zonker, cara
	write list = root, zonker, cara
	read only = No
	hide files = /*. SF/root/

[H]
	comment = Drive H: (JFS)
	path = H:/
	read only = No
	hide files = /*. SF/root/

[N]
	comment = Drive N: (JFS)
	path = N:/
	read only = No
	hide files = /*. SF/root/

[S]
	comment = Drive S: (CDFS)
	path = S:/
	guest ok = Yes
	hide files = /*. SF/root/

[OkiLPRPS]
	comment = Oki LPR PS
	path = H:/MPTN/ETC/samba/spool/OkiLPRPS
	read only = No
	create mask = 0700
	guest ok = Yes
	printable = Yes
	print ok = Yes
	printing = os2
	print command = H:\samba\smbprint.exe "%s" "%p" "%J" "%c" "%z"
	lpq command = lpq.exe -s %i -p %p
	lprm command = lprm.exe -s %i -p %p %j
	printer name = OkiLPRPS
